------------------------------------------------------------------------------
-- SellableItemDrops - Logging your sellable item drops
------------------------------------------------------------------------------
-- Modules/GUI_information.lua - Interface/Information Tab
--
-- Author: Expelliarm5s / September 2019 / All Rights Reserved
--
-- Version 0.4.15
------------------------------------------------------------------------------
local addonName, addon = ...
local GUI = addon:GetModule("GUI")
local L = LibStub("AceLocale-3.0"):GetLocale(addonName)
local AceGUI = LibStub("AceGUI-3.0")
local private = {}
------------------------------------------------------------------------------

GUI.guiTabs.texts["information"] = {
	title=L["Information"], desc=L["Information"]}

GUI.guiTabs.order[#GUI.guiTabs.order + 1] = "information"

GUI.guiTabsSelect["information"] = function(container, group)
	GUI:DebugPrintf("Select Tab %s: %s", group, tostring(container))
	if not container then
		GUI:DebugPrintf("Select Tab: container is nil")
	end

	-- min. Size
	GUI.display.frame:SetMinResize(500, 600)

	local grp1 = AceGUI:Create("SIDInlineGroup")
	grp1:SetFullWidth(true)
	grp1:SetFullHeight(true)
	grp1:SetLayout("Fill")
	if grp1.SetTitle then
		local wowV, wowP = GetBuildInfo()
		local wowVersion = "WoW " .. (addon.isClassic and "classic" or "retail") .. " v" .. wowV .. "-" .. wowP
		grp1:SetTitle(addon.METADATA.NAME .. " " .. addon.METADATA.VERSION .. " - " .. wowVersion)
	end

	local sf1 = AceGUI:Create("ScrollFrame")
	sf1:SetLayout("Fill")

	local text1 = addon.Changelog.infotext

	if (GetLocale() == "deDE") then
		text1 = addon.Changelog.infotextdeDE
	end

	text1 = text1 ..
		"\n\n## Detected Externals ##\n\n" ..
		addon.ExternalsInfo

	text1 = text1 .. addon.Changelog.Changelog .. addon.Changelog.ToDo

	local i1 = GUI.AddButton("Label", text1, "-")
	local btnFont, btnFontSize = i1.label:GetFont()
	i1:SetFont(btnFont, btnFontSize + 2)

	i1:SetFullWidth(true)
	sf1:AddChild(i1)

	grp1:AddChild(sf1)
	container:AddChild(grp1)

	return container
end

-- EOF

